Name:           spice-client
Version:        0.8.1
Release:        8%{?dist}
Summary:        Implements the client side of the SPICE protocol
Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://www.spice-space.org/
Source0:        http://www.spice-space.org/download/releases/spice-%{version}.tar.bz2
#The following 5 patches from upstream fix #789331 which is a 5.8 blocker
Patch0:         0001-client-don-t-crash-when-agent-is-missing-WAN-support.patch
Patch1:         0002-client-only-send-one-SPICE_MSGC_MAIN_ATTACH_CHANNELS.patch
Patch2:         0003-client-red_client-fix-broken-switch-host-migration-R.patch
Patch3:         0004-client-don-t-die-if-initial-agent-timeout-triggers.patch
Patch4:         0005-client-fix-30s-timeout-regression.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

# https://bugzilla.redhat.com/show_bug.cgi?id=613529
# this *has* to be i686. el5 uses i386 by default, but this arch does not
# support the atomic instructions used in atomic_count.h, which would cause
# build failures if we were to use i686. The package needs to be tagged
# as an i686 package in koji for this to work, otherwise it will only
# get built on x86_64 arches
ExclusiveArch:  i686 x86_64

BuildRequires:  pkgconfig
BuildRequires:  spice-protocol >= 0.7.1
BuildRequires:  celt051-devel
BuildRequires:  pixman-devel alsa-lib-devel openssl-devel libjpeg-devel
BuildRequires:  libXrandr-devel libXrender-devel libXfixes-devel libXext-devel
Provides:       qspice-client
Obsoletes:      qspice-client

%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the SPICE client application.

%prep
%setup -q -n spice-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure

# We need no-strict-aliasing for the generated de/marshallers
# Using CPPFLAGS also removes -lrt and -lm which are not used by spice-client.
make CPPFLAGS="-fno-strict-aliasing"  -C client %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} -C client install

%files
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/spicec

%changelog
* Thu Feb 16 2012 Christophe Fergeau <cfergeau@redhat.com> - 0.8.1-8
- rebuild on both i686 and x86_64 after rel-eng retagged the package
  as an i686 one (instead of i386).
- Related: #789331

* Wed Feb 15 2012 Christophe Fergeau <cfergeau@redhat.com> - 0.8.1-7
- Resolves: #789331

* Wed Nov 23 2011 Uri Lublin <uril@redhat.com> - 0.8.1-6
- Build with '-fno-strict-aliasing' flag
- Resolves: #718817

* Fri Nov 18 2011 Uri Lublin <uril@redhat.com> - 0.8.1-5
- Rebuild (again) to get i686 arch too
- Resolves: #718817

* Fri Nov 18 2011 Uri Lublin <uril@redhat.com> - 0.8.1-4
- Rebuild to get i686 arch too
- Resolves: #718817

* Wed Aug 3 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.8.1-3
- Fix package name, spice-client-client to spice-client.

* Wed Jun 30 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.8.1-2
- RHEL5 packaging, client only.
- Obsoletes qspice-client.
- Resolves: #718817

* Wed Apr 20 2011 Hans de Goede <hdegoede@redhat.com> - 0.8.1-1
- New upstream release 0.8.1

* Fri Mar 11 2011 Hans de Goede <hdegoede@redhat.com> - 0.8.0-2
- Fix being unable to send ctrl+alt+key when release mouse is bound to
  ctrl+alt (which can happen when used from RHEV-M)

* Tue Mar  1 2011 Hans de Goede <hdegoede@redhat.com> - 0.8.0-1
- New upstream release 0.8.0

* Fri Feb 11 2011 Hans de Goede <hdegoede@redhat.com> - 0.7.3-1
- New upstream release 0.7.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Hans de Goede <hdegoede@redhat.com> - 0.7.2-1
- New upstream release 0.7.2

* Fri Dec 17 2010 Hans de Goede <hdegoede@redhat.com> - 0.7.1-1
- New upstream release 0.7.1
- Drop all patches (all upstreamed)
- Enable smartcard (CAC) support

* Wed Nov 17 2010 Hans de Goede <hdegoede@redhat.com> - 0.6.3-4
- Fix the info layer not showing when used through the XPI
- Do not let the connection gui flash by when a hostname has been specified
  on the cmdline
- Fix spice client locking up when dealing with XIM input (#654265)
- Fix modifier keys getting stuck (#655048)
- Fix spice client crashing when dealing with XIM ibus input (#655836)
- Fix spice client only showing a white screen in full screen mode

* Sat Nov  6 2010 Hans de Goede <hdegoede@redhat.com> - 0.6.3-3
- Log to ~/.spicec/cegui.log rather then to CEGUI.log in the cwd, this
  fixes spicec from aborting when run in a non writable dir (#650253)

* Fri Nov  5 2010 Hans de Goede <hdegoede@redhat.com> - 0.6.3-2
- Various bugfixes from upstream git:
  - Make spicec work together with the Firefox XPI for RHEV-M
  - Make sure the spicec window gets properly raised when first shown

* Mon Oct 18 2010 Hans de Goede <hdegoede@redhat.com> - 0.6.3-1
- Update to 0.6.3
- Enable GUI

* Thu Sep 30 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.6.1-1
- Update to 0.6.1.

* Tue Aug 31 2010 Alexander Larsson <alexl@redhat.com> - 0.6.0-1
- Update to 0.6.0 (stable release)

* Tue Jul 20 2010 Alexander Larsson <alexl@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Jul 13 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-4
- Quote %% in changelog to avoid macro expansion.

* Mon Jul 12 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-3
- %%configure handles CFLAGS automatically, no need to fiddle
  with %%{optflags} manually.

* Mon Jul 12 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-2
- Fix license: LGPL.
- Cleanup specfile, drop bits not needed any more with
  recent rpm versions (F13+).
- Use optflags as-is.
- 

* Fri Jul 9 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.2-1
- initial package.

